Bug 244305 - warning on boot dmi_save_oem_strings_devices out of memory
warning on boot dmi_save_oem_strings_devices out of memory
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
: 245325 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-06-14 17:22 EDT by Jack Tanner
Modified: 2008-02-15 21:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-15 21:13:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmidecode output (12.05 KB, text/plain)
2007-09-18 15:16 EDT, Jack Tanner
no flags Details

  None (edit)
Description Jack Tanner 2007-06-14 17:22:06 EDT
Description of problem:

On boot, after selecting the kernel from grub and before any services are
started, I get this message:

dmi_string: out of memory
dmi_save_oem_strings_devices: out of memory

There are no symptoms other than the warning messages. Here's some context from

Linux version 2.6.21-1.3228.fc7 (kojibuilder@xenbuilder2.fedora.redhat.com) (gcc
 version 4.1.2 20070502 (Red Hat 4.1.2-12)) #1 SMP Tue Jun 12 14:56:37 EDT 2007
Command line: ro root=/dev/VolGroup00/LogVol03 quiet
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
 BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 0000000077ef0000 (usable)
 BIOS-e820: 0000000077ef0000 - 0000000077ef3000 (ACPI NVS)
 BIOS-e820: 0000000077ef3000 - 0000000077f00000 (ACPI data)
 BIOS-e820: 0000000078000000 - 0000000080000000 (reserved)
 BIOS-e820: 00000000f0000000 - 00000000f4000000 (reserved)
 BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
Entering add_active_range(0, 0, 159) 0 entries of 3200 used
Entering add_active_range(0, 256, 491248) 1 entries of 3200 used
end_pfn_map = 1048576
DMI present.
dmi_string: out of memory.
dmi_save_oem_strings_devices: out of memory.
ACPI: RSDP 000F7760, 0024 (r2 HPQOEM)
ACPI: XSDT 77EF30C0, 0054 (r1 HPQOEM SLIC-CPC 42302E31 AWRD        0)
ACPI: FACP 77EFA3C0, 00F4 (r3 HPQOEM SLIC-CPC 42302E31 AWRD        0)
ACPI: DSDT 77EF3280, 70EB (r1 HPQOEM SLIC-CPC     1000 MSFT  3000000)
ACPI: FACS 77EF0000, 0040
ACPI: SLIC 77EFA5C0, 0176 (r1 HPQOEM SLIC-CPC 42302E31 AWRD        0)
ACPI: SSDT 77EFA780, 0248 (r1 HPQOEM SLIC-CPC        1  LTP        1)
ACPI: HPET 77EFAA40, 0038 (r1 HPQOEM SLIC-CPC 42302E31 AWRD       98)
ACPI: MCFG 77EFAAC0, 003C (r1 HPQOEM SLIC-CPC 42302E31 AWRD        0)
ACPI: APIC 77EFA500, 007C (r1 HPQOEM SLIC-CPC 42302E31 AWRD        0)

The hardware is an HP a1750e (AMD 64 X2). Specs here:

Version-Release number of selected component (if applicable):

$ uname -a
Linux goldin-pc.claritech.local 2.6.21-1.3228.fc7 #1 SMP Tue Jun 12 14:56:37 EDT
2007 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Christopher Brown 2007-09-16 18:09:49 EDT

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Comment 2 Jack Tanner 2007-09-16 18:52:56 EDT
Yes, this bug is still present in kernel-
Comment 3 Christopher Brown 2007-09-17 05:16:33 EDT
Hello Jack,

This is the code generating the error in question:


however there is a patch fedora carries which modifies this a little. Can you
install dmidecode and attach its output?

Comment 4 Christopher Brown 2007-09-17 08:36:23 EDT
*** Bug 245325 has been marked as a duplicate of this bug. ***
Comment 5 Jack Tanner 2007-09-18 15:16:14 EDT
Created attachment 198721 [details]
dmidecode output

dmidecode output attached per request
Comment 6 Christopher Brown 2007-09-18 17:31:08 EDT
Hi Jack,

Looked into this a bit more. It seems the code is handling the error which would
otherwise have prevented the system from booting. This is output to indicate a
badly programmed BIOS. I wouldn't be concerned - oem strings for example are
pieces of information set into the BIOS concerning the system manufacturer, part
numbers, contact information. Yours is rather lengthy:

Handle 0x001C, DMI type 11, 5 bytes.
OEM Strings
	String 1: bid=71NAv3PcA5;PROD_MSWORKS;SFCHK;C_MOJ;IS.N60d;51Audio;ACPwrFai
	String 2: l=Off;Chan=CTO;CPUFan=On;DVDr;DVDRW;LegacyFloppy=No;TVout=NTSC;P
	String 3: CBRAND=Pavilion;OS=MSV;KBDRV;LScribe;DVDP_STD;Vos.B;MDVD_B;RC_B;
	String 4: FPA=HML;OEMAuditBootLink=\\\OEMAuditBootLink\CTO.cmd;.m
	String 5: M;##HPCPC=00000000<900000060200000004200002535141300400000100010
	String 6: 00;5;:0665<;85>18>1<2=1:<55>?4;;=?=19:<8494;>:8011<=31953=?76?>3
	String 7: 78139;594701:=;34:;55;9128<7937==0<722<:<1:2489>:088=6:?1;2>8=8>
	String 8: 12691>>286:9?;4454>3<3>89909>=738375;02951<;>=??2?70>75;04<815:3
	String 9: 3<20846?312127;?24876>7488457<0;0?39>9;?407;8;8;09>=;==>231>;?45
	String 10: 6:100000006;00000000002000840515?454=435<49434=23405347594>444?4
	String 11: 7535020000000000000000000000000000000000000000?24?41954<8?4243:4
	String 12: 63542:9034;??09<31;8951=>:><6>3291=35:7;:7?<0;=973478<4:062629<>
	String 13: 53103<<=4651<3499:7?769::98;357697=:3483>07=6;>1<1?<>7<817?5586>
	String 14: 79?5:5?19<87:>=6507148017=835>552096;714776===1=59:5:9;7?16>;910
	String 15: ;6<?>4?;=21?;7975:6660><>729>:9<98<5<=991>7?7>
	String 16:                                                                 
	String 17:                                                                 
	String 18:                                                                 
	String 19:                                                                 
	String 20:                                                                 
	String 21:                                                                 
	String 22:                                                                 
	String 23:                                                                 
	String 24:                                                                 
	String 25:                                                                 
	String 26:                                                                 
	String 27:                                                                 
	String 28:                                                                 
	String 29:                                                                 
	String 30:                                                                 
	String 31:                                                                 
	String 32:                                                                 

and if the 5 bytes indicates the maximum memory allotted then it certainly
exceeds it. My thinkpad has the following for example:

Handle 0x0029, DMI type 11, 5 bytes.
OEM Strings
        String 1: IBM ThinkPad Embedded Controller -[1RHT71WW-3.04    ]-

and thats it. Essentially, I think you can close as WONTFIX or NOTABUG (as this
is BIOS related, not kernel) but I'll leave it up to you. I cannot see a BIOS
update available for your system.

Comment 7 Jack Tanner 2007-09-18 17:40:38 EDT
Chris, thanks for your analysis. I feel like this is a kernel bug in the sense
that there's no reason for me, the user, to see a warning from the kernel that
my BIOS happens to have some OEM string that's too long. It's not like I can do
anything about it! The kernel should remain silent; all it does is alarm
innocent users.
Comment 8 Christopher Brown 2008-01-09 09:21:34 EST

Apologies for the delay and fair point. Are you still seeing this with the
latest kernels - if so I'll get some feedback from one of the kernel maintainers.

Comment 9 Chuck Ebbert 2008-01-09 14:29:01 EST
Fix for this is in -mm and should be merged in 2.6.25.

Note You need to log in before you can comment on or make changes to this bug.